Public APIAPI ReferenceDomains
Reverify an app domain.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
POST
/v1/apps/{appId}/domains/{domainId}/verifyCheck that the domain belongs to the app and verify it using an empty JSON object as the request body. Only users with a verified email can use this.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
appId*string
domainId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps/string/domains/string/verify" \ -H "Content-Type: application/json" \ -d '{}'{ "domain": { "appId": "string", "certificate": { "notAfter": "string", "status": "string" }, "cnameTarget": "string", "createdAt": "string", "hostname": "string", "id": "string", "kind": "string", "retryAfter": "string", "status": "string", "verificationErrorCode": "string", "verifiedAt": "string" }}